package com.mortals.xhx.module.child.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.child.model.vo.ChildLicenseVo;
import lombok.Data;
/**
 * 行业许可子证实体对象
 *
 * @author zxfei
 * @date 2024-08-08
 */
@Data
public class ChildLicenseEntity extends ChildLicenseVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 目录id
     */
    private Long catalogId;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 申请Id
     */
    private Long applyId;
    /**
     * 子证配置Id
     */
    private Long documentId;
    /**
     * 子证名称
     */
    private String documentName;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 市场主体名称
     */
    private String marketEntityName;
    /**
     * 许可证编号
     */
    private String licenseCode;
    /**
     * 法定代表人（负责人）
     */
    private String legalPersonName;
    /**
     * 统一社会信用代码
     */
    private String creditCode;
    /**
     * 制证日期
     */
    private Date productLicenseTime;
    /**
     * 证件二维码
     */
    private String certQRCode;
    /**
     * 制证机关
     */
    private String certAuthority;
    /**
     * 经营场所
     */
    private String businessPlace;
    /**
     * 许可项目
     */
    private String licensedItems;
    /**
     * 正本文件名称
     */
    private String originalFileName;
    /**
     * 正本文件相对路径地址
     */
    private String originalFilePath;
    /**
     * 副本文件名称
     */
    private String copyFileName;
    /**
     * 副本文件相对路径地址
     */
    private String copyFilePath;
    /**
     * 简介
     */
    private String summary;
    /**
     * 动态表单样式
     */
    private String formStyleContent;
    /**
     * 提交的表单
     */
    private String formContent;
    /**
     * 处理状态(0.未处理,1.已处理)
     */
    private Integer processStatus;
    /**
     * 备注
     */
    private String remark;
    /**
     * 联报用户
     */
    private Long reportUserId;
    /**
     * 联报用户名称
     */
    private String reportUserName;
    /**
     * 联报时间
     */
    private Date reportTime;
    /**
     * 创建用户名称
     */
    private String createUserName;
    /**
     * 更新用户名称
     */
    private String updateUserName;
    /**
     * 删除状态(0.未删除,1.已删除)
     */
    private Integer deleted;
    /**
     * 简称
     */
    private String shortName;
    /**
     * 扩展列1
     */
    private String ext1;
    /**
     * 扩展列2
     */
    private String ext2;
    /**
     * 扩展列3
     */
    private String ext3;
    /**
     * 扩展列4
     */
    private String ext4;
    /**
     * 扩展列5
     */
    private String ext5;
    /**
     * 扩展列6
     */
    private String ext6;
    /**
     * 扩展列7
     */
    private String ext7;
    /**
     * 扩展列8
     */
    private String ext8;
    /**
     * 子证状态(0.禁用,1.启用)
     */
    private Integer childStatus;
    /**
     * 正本文件水印相对路径地址
     */
    private String originalWaterMarkPath;
    /**
     * 副本文件水印相对路径地址
     */
    private String copyWaterMarkPath;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ChildLicenseEntity) {
            ChildLicenseEntity tmp = (ChildLicenseEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.siteName = "";
        this.catalogId = null;
        this.catalogName = "";
        this.applyId = null;
        this.documentId = null;
        this.documentName = "";
        this.deptId = null;
        this.deptName = "";
        this.marketEntityName = "";
        this.licenseCode = "";
        this.legalPersonName = "";
        this.creditCode = "";
        this.productLicenseTime = null;
        this.certQRCode = "";
        this.certAuthority = "";
        this.businessPlace = "";
        this.licensedItems = "";
        this.originalFileName = "";
        this.originalFilePath = "";
        this.copyFileName = "";
        this.copyFilePath = "";
        this.summary = "";
        this.formStyleContent = "";
        this.formContent = "";
        this.processStatus = 0;
        this.remark = "";
        this.reportUserId = null;
        this.reportUserName = "";
        this.reportTime = null;
        this.createUserName = "";
        this.updateUserName = "";
        this.deleted = 0;
        this.shortName = "";
        this.ext1 = "";
        this.ext2 = "";
        this.ext3 = "";
        this.ext4 = "";
        this.ext5 = "";
        this.ext6 = "";
        this.ext7 = "";
        this.ext8 = "";
        this.childStatus = 1;
        this.originalWaterMarkPath = "";
        this.copyWaterMarkPath = "";
    }
}